apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: cilium
spec:
  kubeConfig:
    secretRef: 
       name: virt-kubeconfig
  postRenderers:
    - kustomize:
        patchesStrategicMerge:
          - kind: Service
            apiVersion: v1
            metadata:
              name: clustermesh-apiserver
              namespace: kube-system
            spec:
              externalIPs:
                - 172.22.0.249
